function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { FlatList } from 'react-native';
import DraggableItem from './components/DraggableItem';
import styles from './styles';
import useDraggableGridViewHooks from './useDraggableGridViewHooks';
const DraggableGridView = props => {
  const {
    style,
    data,
    isEditing,
    shouldVibrate = true,
    itemContainerStyle,
    listWidth,
    itemHeight: propsItemHeight,
    numColumns,
    animMoveDuration,
    debounce,
    onOrderChanged
  } = props;
  const {
    dragIndex,
    dragToIndex,
    isEnableScroll,
    itemWidth,
    itemHeight,
    sectionWidth,
    sectionHeight,
    onStartDrag,
    updateDragToIndex,
    onEndDrag
  } = useDraggableGridViewHooks({
    data,
    listWidth,
    propsItemHeight,
    numColumns,
    debounce,
    onOrderChanged
  });
  const renderItem = info => /*#__PURE__*/React.createElement(DraggableItem, {
    style: itemContainerStyle,
    itemWidth: itemWidth,
    itemHeight: itemHeight,
    sectionWidth: sectionWidth,
    sectionHeight: sectionHeight,
    numColumns: numColumns || 1,
    dragItemOriginIndex: dragIndex,
    dragItemTargetIndex: dragToIndex,
    index: info.index,
    isEditing: isEditing,
    shouldVibrate: shouldVibrate,
    animMoveDuration: animMoveDuration || 1000,
    onStartDrag: onStartDrag,
    updateDragToIndex: updateDragToIndex,
    onEndDrag: onEndDrag
  }, /*#__PURE__*/React.createElement(React.Fragment, null, props.renderItem(info)));
  return /*#__PURE__*/React.createElement(FlatList, _extends({}, props, {
    style: [styles.list, style, {
      width: listWidth
    }],
    scrollEnabled: isEnableScroll,
    renderItem: renderItem
  }));
};
export default DraggableGridView;
//# sourceMappingURL=DraggableGridView.js.map